### Method

# Gio Resolver lookup_by_address_async

since: 2.22

#### Declaration

    void
    g_resolver_lookup_by_address_async (
      GResolver* resolver,
      GInetAddress* address,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Begins asynchronously reverse-resolving `address` to determine its associated hostname, and eventually calls `callback`, which must call `g_resolver_lookup_by_address_finish()` to get the final result.

Available since: 2.22

This method completes asynchronously. Use `g_resolver_lookup_by_address_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`address`

  Type: `GInetAddress`

  The address to reverse-resolve.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call after resolution completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.